package kr.co.vividnext.sodalive.content

data class CreateAudioContentRequest(
    val title: String,
    val detail: String,
    val tags: String,
    val price: Int,
    val themeId: Long = 0,
    val isAdult: Boolean = false,
    val isGeneratePreview: Boolean = true,
    val isCommentAvailable: Boolean = false,
    val type: AudioContentType = AudioContentType.INDIVIDUAL,
    val childIds: List<Long>? = null
)
