package kr.co.vividnext.sodalive.explorer

data class GetExplorerResponse(val sections: List<GetExplorerSectionResponse>)

data class GetExplorerSectionResponse(
    val title: String,
    val coloredTitle: String?,
    val color: String?,
    val creators: List<GetExplorerSectionCreatorResponse>
)

data class GetExplorerSectionCreatorResponse(
    val id: Long,
    val nickname: String,
    val tags: String,
    val profileImageUrl: String
)
