package kr.co.vividnext.sodalive.event

import com.querydsl.core.annotations.QueryProjection

data class GetEventResponse(
    val totalCount: Int,
    val eventList: List<EventItem>
)

data class EventItem @QueryProjection constructor(
    val id: Long,
    val title: String? = null,
    var thumbnailImageUrl: String,
    var detailImageUrl: String? = null,
    var popupImageUrl: String? = null,
    val link: String? = null,
    val isPopup: Boolean
)
