package kr.co.vividnext.sodalive.explorer

import kr.co.vividnext.sodalive.content.GetAudioContentListItem

data class GetCreatorProfileResponse(
    val creator: CreatorResponse,
    val userDonationRanking: List<MemberDonationRankingResponse>,
    val similarCreatorList: List<SimilarCreatorResponse>,
    val liveRoomList: List<LiveRoomResponse>,
    val contentList: List<GetAudioContentListItem>,
    val notice: String,
    val cheers: GetCheersResponse,
    val activitySummary: GetCreatorActivitySummary,
    val isBlock: Boolean
)

data class GetCreatorActivitySummary(
    val liveCount: Long,
    val liveTime: Long,
    val liveContributorCount: Long,
    val contentCount: Long
)
